Bug 208828 - [NEW PORT] textproc/php*-enchant: Enchant spelling module
Summary: [NEW PORT] textproc/php*-enchant: Enchant spelling module
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: easy, feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-04-16 08:42 UTC by Daniel Ylitalo
Modified: 2016-08-23 10:55 UTC (History)
3 users (show)

See Also:


Attachments
Changes to the ports tree to add the module (4.77 KB, patch)
2016-04-16 08:42 UTC, Daniel Ylitalo
no flags Details | Diff
php 5.5 module folder (659 bytes, text/plain)
2016-04-16 08:43 UTC, Daniel Ylitalo
no flags Details
php 5.6 module folder (659 bytes, text/plain)
2016-04-16 08:43 UTC, Daniel Ylitalo
no flags Details
php 7.0 module folder (659 bytes, text/plain)
2016-04-16 08:44 UTC, Daniel Ylitalo
no flags Details
Changes to the ports tree to add the module (4.73 KB, patch)
2016-04-16 10:09 UTC, Daniel Ylitalo
no flags Details | Diff
Changes to the ports tree to add the module (4.16 KB, patch)
2016-08-03 09:22 UTC, Daniel Ylitalo
no flags Details | Diff
Changes to the ports tree to add the module (4.50 KB, patch)
2016-08-03 09:25 UTC, Daniel Ylitalo
no flags Details | Diff
Changes to ports tree to add the module (7.40 KB, patch)
2016-08-14 13:33 UTC, Daniel Ylitalo
no flags Details | Diff
poudriere php 5.5 module output (20.65 KB, text/plain)
2016-08-14 13:33 UTC, Daniel Ylitalo
no flags Details
poudriere php 5.6 module output (19.79 KB, text/plain)
2016-08-14 13:34 UTC, Daniel Ylitalo
no flags Details
poudriere php 7.0 module output (19.74 KB, text/plain)
2016-08-14 13:34 UTC, Daniel Ylitalo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Ylitalo 2016-04-16 08:42:33 UTC
Created attachment 169362 [details]
Changes to the ports tree to add the module

The bundled module name enchant is missing from the ports tree

Attached patch + shars adds it, I hope I covered all places :)
Comment 1 Daniel Ylitalo 2016-04-16 08:43:29 UTC
Created attachment 169363 [details]
php 5.5 module folder
Comment 2 Daniel Ylitalo 2016-04-16 08:43:52 UTC
Created attachment 169364 [details]
php 5.6 module folder
Comment 3 Daniel Ylitalo 2016-04-16 08:44:18 UTC
Created attachment 169365 [details]
php 7.0 module folder
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2016-04-16 09:08:01 UTC
Thanks for your submission. FYI, we now drop ${PORTSDIR}/ from dependency lines. See 20160402 entry in CHANGES for detailed information.
Comment 5 Daniel Ylitalo 2016-04-16 10:09:00 UTC
Created attachment 169367 [details]
Changes to the ports tree to add the module

Removed PORTSDIR as per Sunpoets pointers
Comment 6 Dmitry Marakasov freebsd_committer 2016-05-16 20:05:28 UTC
Assign to PHP maintainer.
Comment 7 Daniel Ylitalo 2016-07-26 12:21:09 UTC
Anyone? :)
Comment 8 Daniel Ylitalo 2016-08-03 09:22:22 UTC
Created attachment 173214 [details]
Changes to the ports tree to add the module

Updating patch to apply cleanly to head
Comment 9 Daniel Ylitalo 2016-08-03 09:25:00 UTC
Created attachment 173215 [details]
Changes to the ports tree to add the module
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-14 11:28:10 UTC
Maintainer timeout (3+ months)

@Daniel, 

Can you please provide a single unified diff (svn diff) for all the changes please. If you'd like to, please also include the additions of the ports to the respective category/Makefile.

Please also confirm these changes pass QA (portlint, poudriere, etc)

Thank you for this contribution
Comment 11 Daniel Ylitalo 2016-08-14 13:33:03 UTC
Created attachment 173663 [details]
Changes to ports tree to add the module

Adding new patch with shars included as requested by koobs
Comment 12 Daniel Ylitalo 2016-08-14 13:33:46 UTC
Created attachment 173664 [details]
poudriere php 5.5 module output
Comment 13 Daniel Ylitalo 2016-08-14 13:34:02 UTC
Created attachment 173665 [details]
poudriere php 5.6 module output
Comment 14 Daniel Ylitalo 2016-08-14 13:34:21 UTC
Created attachment 173666 [details]
poudriere php 7.0 module output
Comment 15 Daniel Ylitalo 2016-08-21 18:42:35 UTC
Anyone want to commit this one? :)
Comment 16 commit-hook freebsd_committer 2016-08-23 10:54:54 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Aug 23 10:54:51 UTC 2016
New revision: 420657
URL: https://svnweb.freebsd.org/changeset/ports/420657

Log:
  - Add enchant php55/php56/php70 extension

  PR:		208828
  Submitted by:	daniel@blodan.se
  Approved by:	maintainer timeout (ale, 4 months)

Changes:
  head/Mk/Uses/php.mk
  head/lang/php55/Makefile.ext
  head/lang/php55-extensions/Makefile
  head/lang/php56/Makefile.ext
  head/lang/php56-extensions/Makefile
  head/lang/php70/Makefile.ext
  head/lang/php70-extensions/Makefile
  head/textproc/Makefile
  head/textproc/php55-enchant/
  head/textproc/php55-enchant/Makefile
  head/textproc/php56-enchant/
  head/textproc/php56-enchant/Makefile
  head/textproc/php70-enchant/
  head/textproc/php70-enchant/Makefile